<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
/*
Description:        Remove the Trainling slash from an url
Developer:          Rein de Vries.
Location:           ./system/expressionengine/third_party/remove_trailing_slash/pi.remove_trailing_slash.php
Contact:            info@reinos.nl
*/

$plugin_info = array(
  'pi_name' => 'Remove Trailing Slash',
  'pi_version' => '1.1',
  'pi_author' => 'reinos.nl',
  'pi_author_url' => 'http://www.reinos.nl',
  'pi_description' => 'Remove the Trainling slash from an url',
  'pi_usage' => Remove_trailing_slash::usage()
);

class Remove_trailing_slash
{
	private $EE; 
	public $return_data = '';

	/**
	 * Constructor
	 * 
	 * @return unknown_type
	 */
	function __construct()
	{		
		$this->EE =& get_instance();	
		$this->return_data = $this->_remove_trailing_slash();
	}
	
	// ----------------------------------------
	
	/**
	 * remove the trailing slash
	 * 
	 * @return unknown_type
	 */
	private function _remove_trailing_slash()
	{
		$url = trim($this->EE->TMPL->fetch_param('url'));
		$url = $this->EE->TMPL->parse_globals($url);

		//get the tagdata when the $url is empty
		if($url == '')
		{
			$url = $this->EE->TMPL->tagdata;
		}
		
		//remove slash
		$url = rtrim($url,"/");
		
		//return data
		return $url;
	}
		

	//  Plugin Usage
	// ----------------------------------------

	// This function describes how the plugin is used.
	//  Make sure and use output buffering

	function usage()
	{
		ob_start();
		?>
		
		=============================
		examples (Single tag)
		=============================
		{exp:remove_trailing_slash url="www.google.nl/"}
		[OR]
		{exp:remove_trailing_slash}www.google.nl/{/remove_trailing_slash}

		<?php
		$buffer = ob_get_contents();

		ob_end_clean();

		return $buffer;
	}
	// END
}